/*!
  @header ECNSLogLoggingWriter
  @abstract Module of Encore
 
  @availability OS X, GNUstep
  @copyright 2004, 2005, 2006 Oliver Langer

  Author: Oliver Langer

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  03.02.06 ola     initial version
  22.08.06 ola     license changed
  -------------------------------------------------------------------------
  </pre>
*/

#if !defined(__ECNSLogLoggingWriter_H)
#define __ECNSLogLoggingWriter_H

#include <Foundation/Foundation.h>
#include <Encore/ECObject.h>
#include <Encore/ECLoggingWriter.h>

/*!
 * @class ECNSLogLoggingWriter
 * @abstract Uses NSLog to write log entries
 */
@interface ECNSLogLoggingWriter : ECObject <ECLoggingWriter>


/*!
 * @method writeLog
 * @abstract called in order to write the given string somewhere on mother earth
 * @result self
 */
- writeLog: (NSString *) logEntry;

@end
#endif
